#### D.2.8.16 id2mod

Procedure from library `polylib.lib` (see polylib_lib).

Usage:
  id2mod(I,vpos); I ideal, vpos intvec

Return:
  module corresponding to the ideal by replacing var(vpos[i]) by gen(i) and omitting all generators var(vpos[i])*var(vpos[j])

Note:
  * This procedure only makes sense if the ideal contains all var(vpos[i])*var(vpos[j]) as monomial generators and all other generators of I are linear combinations of the var(vpos[i]) over the ring in the other variables.
  * This is the inverse procedure to mod2id and should be applied only to ideals created by mod2id using the same intvec vpos (possibly after a standard basis computation)

Example:

    LIB "polylib.lib";
    ring r=0,(e(1),e(2),x,y,z),(dp(2),ds(3));
    ideal i=e(2)^2,e(1)*e(2),e(1)^2,e(1)*y+e(2)*x;
    intvec iv=2,1;
    id2mod(i,iv);
    ==> _[1]=x*gen(1)+y*gen(2)

User manual for Singular version 4.4.1, 2025, generated by texi2html.